<!-- -------------------- ./mgmt/signcreate.html -------------------- -->

<!doctype html>
<html lang="fr">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
  <link rel="icon" type="image/ico" href="<?php echo $this->FAVICO; ?>">
  <link rel="stylesheet" href="/pub/bootstrap/css/bootstrap.min.modified.css" >
  <link rel="stylesheet" href="/pub/fontawesome/css/all.css">
  <link rel="stylesheet" href="/pub/css/mgmt.css" >
  <link rel="stylesheet" href="/pub/css/datepicker.css" >
  <title><?php echo $this->APPNAM; ?></title>
</head>
<script>
function CheckedSubmit() {
  var dnam = $("#DOSNAM").val();    
  if ( dnam === "" || dnam.match(/_[0-9]*_[0-9]*/) ) {
    $("#msgcuns").show();
  } else {
    $("#msgcuns").hide();
    $("#fastcredoc").submit();
  }
}
</script>
<body>

<div class="container-fluid topbannersig">
<div class="row">
<div class="col">
<nav class="navbar navbar-expand-lg navbar-dark" >
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse justify-content-center" id="navbarNavDropdown">
    <ul class="navbar-nav">
      <li class="nav-item d-block d-sm-block d-md-block d-lg-none d-xl-none">
       <a class="nav-link" href="<?php echo $this->URL->GetMgmtMethod('Index'); ?>"><i class="fas fa-home"></i>&nbsp;Retour Accueil</a>
      </li>
      <li class="nav-item d-none d-sm-none d-md-none d-lg-block d-xl-block">
        <a class="nav-link text-center" href="<?php echo $this->URL->GetMgmtMethod('Index'); ?>"><i class="fas fa-home fa-2x"></i><br>Retour Accueil</a>
      </li>
    </ul>
  </div>
</nav>

</div>
</div>
</div>
<div id="toplogo" class="d-none d-sm-none d-md-none d-lg-block d-xl-bloc">
 <a href="/index.html"><img id="logo2" src="/pub/img/logosig2.png" height="60"></a> 
</div>
<div id="toplogo" class="d-block d-sm-block d-md-block d-lg-none d-xl-none">
 <a href="/index.html"><img id="logo2" src="/pub/img/logosig2.png" height="30"></a> 
</div>

<!-- -------------------------------------------------------------------- -->

<div class="container">

<form novalidate="novalidate" id="fastcredoc" class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('FinishCreate'); ?>">

 <input value="<?php echo $this->DID; ?>" name="DID" id="DID"  type="hidden">

  <div class="card mycard">
  <div class="card-header">
    <h4><i class="fas fa-briefcase"></i>&nbsp;&nbsp;Nouvelle signature</h4>
  </div>
  <div class="card-body">


   <input value="<?php echo $this->DID; ?>" name="DID" id="DID"  type="hidden">

   <div class="row"><div class="col">
    <div id="dropzone" class="alert alert-light dropzone" role="alert">
     <p class="text-center">
      <span>Selectionnez des fichiers...</span>
      <button class="btn btn-secondary" type="button" onclick="$('#fileupload').click()">Parcourir</button><br>
      <input id="fileupload" type="file" name="files[]" multiple style="display:none;"><br>
     <em>... ou glissez/déposez vos fichiers ici</em><br><img src="/pub/img/dropzonim.jpg" width="100px">
    </p>
    </div>
   </div></div>

   <!-- 
   <div class="row"><div class="col">
    <div id="dropzone" class="alert alert-secondary" role="alert">
       <div class="input-group">
	 <div class="custom-file">
	   <input type="file" class="custom-file-input" id="fileupload" aria-describedby="inputGroupFileAddon04" name="files[]" multiple >
	   <label class="custom-file-label" for="input4import">Selectionnez des fichiers...</label>
	 </div>
       </div>
    <p class="text-center">
     <em>... ou glissez/déposez vos fichiers ici</em>&nbsp;<img src="/pub/img/dragdrop.png">
    </p>
    </div>
   </div></div>
   -->

   <div class="row">
     <div class="col-md-1">
       <div id="uploadend" style="display: none">
	 <a href="#pagebottom" class="btn btn-success btn-sm" role="button"><i class="fas fa-check"></i></a>
     </div></div>

     <div class="col-md-11">
      <!-- The global progress bar -->
      <div id="progress" class="progress">
      <div class="progress-bar progress-bar-success"></div>
     </div>
    </div>
   </div>

   <div class="row"><div class="col">
    <!-- The container for the uploaded files  and  end operation -->
    <div id="files" class="files"></div>
    <br>
   </div></div>

   <hr>

   <div class="alert alert-danger" role="alert" style="display: none;" id="msgcuns">
     Veuillez choisir un nom significatif SVP !
   </div>

   <div class="form-group row">
     <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>nom :</em></label>
     <div class="input-group col-sm-9">
       <div class="input-group-prepend">
	 <div class="input-group-text"><i class="fas fa-briefcase"></i></div>
       </div>
       <input type="text" class="form-control" value="" name="DOSNAM" id="DOSNAM" placeholder="nom du porte-documents" >
     </div>
   </div>

   <!-- 
   <div class="form-group row">
     <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>commentaire (facultatif):</em></label>
     <div class="input-group col-sm-9">
       <div class="input-group-prepend">
	 <div class="input-group-text"><i class="fas fa-comment-alt"></i></div>
       </div>
       <textarea class="form-control name="DOSCOM" id="DOSCOM" ><?php  echo $this->DOSINF['comment']; ?></textarea>
     </div>
   </div>

   <div class="form-group row">
     <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>mot de passe (facultatif):</em></label>
     <div class="input-group col-sm-9">
       <div class="input-group-prepend">
	 <div class="input-group-text"><i class="fas fa-lock"></i></div>
       </div>
       <input type="text" class="form-control" value="" name="DOSPSW" id="DOSPSW" placeholder="mot de passe du porte-documents" >
     </div>
   </div>
   -->

   <div class="form-group row">
     <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>fin de vie :</em></label>
     <div class="input-group col-sm-9">
       <div class="input-group-prepend">
	 <div class="input-group-text"><i class="fas fa-calendar-alt"></i></div>
       </div>
       <input type="text" class="form-control" value="<?php echo $this->DOSINF['endoflife']; ?>" name="DOSLIM" id="DOSLIM" <?php echo ($this->DATESEL=='no')?"readonly":""; ?>>
     </div>
   </div>

  <!--  FORCE DOSBLG  
  <hr>
  <div class="form-group row">
    <label for="frm-dat" class="col-sm-6 col-form-label text-right"><em>messages activés:</em></label>
    <div class="input-group col-sm-6">
      <input type="checkbox" checked="checked" name="DOSBLG" id="DOSBLG" > 
    </div>
  </div>  
  -->
  <input value="on" name="DOSBLG" id="DOSBLG" type="hidden">


   </div>
   <div class="card-footer">

     <button type="button" class="btn btn-secondary btn-sm"  onclick="window.location.href='<?php echo $this->URL->GetMgmtMethodWithDID('UnCreate',$this->DID); ?>'"> Annuler </button>&nbsp;&nbsp;
     <button type="button" class="btn btn-primary btn-sm" id="finishbut1" onclick="CheckedSubmit()"> Continuer </button>
   </div>
  </div>  

</form>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/popper.min.js"></script>
<script src="/pub/bootstrap/js/bootstrap.min.js"></script>
<script src="/pub/jsext/bootstrap-datepicker.js"></script> 
<script src="/pub/jsext/jquery_validate_fr.js"></script> 


<!-- ------ JQFU ----------- -->

<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="/pub/jqfu/js/vendor/jquery.ui.widget.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="/pub/jqfu/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="/pub/jqfu/js/jquery.fileupload.js"></script>
<script>
/*jslint unparam: true */
/*global window, $ */
$(function () {
    'use strict';
    // Change this to the location of your server-side upload handler:
    var url = '<?php echo $this->URL->GetMgmtMethod('CreateJQFU'); ?>';
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        done: function (e, data) {
            $.each(data.result.files, function (index, file) {
                $('<p/>').text(file.name).appendTo('#files');
            });
        },
        fail: function (e, data) {
          alert('Erreur pour ' + data.files.map(f => f.name) + ' : ' + Object.values(data.messages).join(', '));
        },        
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress .progress-bar').css(
                'width',
                progress + '%'
            );
        },
        stop: function (e) {
			$('#uploadend').show();
		}

    }).prop('disabled', !$.support.fileInput)
        .parent().addClass($.support.fileInput ? undefined : 'disabled');
});
</script>
<!-- ------ end JQFU ----------- -->

<!-- ------ form control ----------- -->
<script type="text/javascript">
  $(document).ready(function(){
    $("#fastcredoc").validate({
      rules:{
        DOSNAM:{
          required:true
        },
      },
      errorClass: "help-inline"
    });
  });
</script>
<!-- ------ end form control ----------- -->

<?php if ( $this->DATESEL == 'yes' ) { ?>
<!-- ------ init datepicker ----------- -->
<script type="text/javascript">
  $('#DOSLIM').datepicker({
   format: 'yyyy-mm-dd',
   weekStart: 1
  });
</script>
<!-- ------ end init datepicker ----------- -->
<?php } ?>

</body></html>
